<html>
  <head>
    <title>Functions 2</title>
    <script>
      function execute() {
        const reverseNumber = number => {
          let result = 0;
          while (number) {
            result = result * 10 + number % 10;
            number = Math.floor(number / 10);
          }
          return result;
        };
        
        const output = reverseNumber(num.value);
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Number: <input id="num" /></p>
    <button onclick="execute()">Execute</button>
    <p id="result"></p>
  </body>
</html>
